'use server';

import { revalidatePath } from "next/cache";
import { redirect } from 'next/navigation';
import { YearMonth } from "../db-types";

export async function gotoHome({year, month}: YearMonth) {
    const path = `/?year=${year}&month=${month}`;
    await gotoUrl(path);
}

export async function gotoUrl(path: string) {
    console.log(path)
    revalidatePath(path, "page");
    redirect(path);
}
